Skip to main content

Signicat Organisation Monitoring API

Download OpenAPI specification:Download

Introduction

The Signicat Organisation Monitoring API enables monitoring of organisation data changes through multiple national organisation registries.

This API is part of the Signicat Ongoing Monitoring service that enables continuous tracking of entities (persons or organisations) for any changes in their demographic, financial or screening profiles.

This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.

Get started

Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Connect to Signicat APIs Quick start guide.

Required API client permissions:

  • Info Monitor Admin
  • Info Monitor Editor
  • Info Monitor Viewer

Audit logs

Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.

  • Access it: Signicat Dashboard > Settings > Audit logs
  • For information generic to all Signicat audit logs, see the general Audit logs documentation.

Errors

When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.

  • For errors generic to all Signicat APIs, see the general Error codes documentation.
  • For errors specific to this service, see the Ongoing Monitoring Error codes documentation.

Events (callback)

Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.

  • Access it: Go to Signicat Dashboard > Settings > Events
  • For information generic to all Signicat events, see the general Events documentation.

Note: This is often referred to as callback.

Monitor Endpoints

Get monitor

This endpoint allows to get monitor by Id from the system.

path Parameters
monitorId
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "id": "402d1ce2-ce71-4f9b-b252-3fa90fef0de4",
  • "accountId": "a-ppge-c5jsmhR5fLM3jxBY8H1v",
  • "name": "Monitor Name",
  • "sources": [
    ],
  • "profiles": [
    ],
  • "description": "Monitor that reach source",
  • "size": 10,
  • "entityType": "Organisation",
  • "createdAt": "2025-09-11T11:27:11.3126593Z",
  • "isEnabled": true
}

Create monitor

This endpoint allows the creation of a new monitor resource in the system.

Request Body schema: application/json
required
name
string or null
description
string or null
entityType
string or null
Array of objects or null (SourcesDto)
profiles
Array of strings or null

Responses

Request samples

Content type
application/json
{
  • "name": "Monitor Name",
  • "description": "Monitor that reach source",
  • "entityType": "Organisation",
  • "sources": [
    ],
  • "profiles": [
    ]
}

Organisation Endpoints

Add organisation

This endpoint allows the creation of a new organisation to monitor in the system.

path Parameters
monitorId
required
string <uuid>
Request Body schema: application/json
required
Array
organisationNumber
required
string or null
source
string or null
country
string or null
companyName
string or null
referenceKey
string or null
externalId
string or null

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Get organisation

This endpoint allows to get the organisation last snapshot by monitor id and reference key from the system.

path Parameters
monitorId
required
string <uuid>
referenceKey
required
string

Responses

Response samples

Content type
application/json
{
  • "country": "NOR",
  • "name": "Organisation Name",
  • "added": "2025-09-10T11:27:11.316009Z",
  • "lastUpdate": "2025-09-11T11:27:11.3160111Z",
  • "organisationNumber": "12345678",
  • "operationalStatus": null,
  • "externalId": "1454-15",
  • "alias": "Organisation Alias",
  • "legalForm": "Other",
  • "screening": {
    }
}

Delete organisation associated to a monitor

This endpoint allows to delete the organisation from the system in one specific monitor.

path Parameters
monitorId
required
string <uuid>
referenceKey
required
string

Responses

Get organisation changes by monitor and reference key

This endpoint allows to get the organisation all changes by monitor id and reference key from the system.

path Parameters
monitorId
required
string <uuid>
referenceKey
required
string
query Parameters
cursor
integer <int32>
Default: 0
limit
integer <int32>
Default: 1000

Responses

Response samples

Content type
application/json
{
  • "size": 3,
  • "nextCursor": 2,
  • "limit": 1000,
  • "items": [
    ]
}

Get organisation changes from monitor

This endpoint allows to get the organisation all changes by monitor id from the system.

path Parameters
monitorId
required
string <uuid>
query Parameters
cursor
integer <int32>
Default: 0
limit
integer <int32>
Default: 1000

Responses

Response samples

Content type
application/json
{
  • "size": 3,
  • "nextCursor": 2,
  • "limit": 1000,
  • "items": [
    ]
}